Download it now!
Bug 54282 - Changing preferences crashes LO
Summary: Changing preferences crashes LO
Status: RESOLVED DUPLICATE of bug 47368
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: LibreOffice (show other bugs)
Version:
(earliest affected)
3.6.0.4 release
Hardware: Other Mac OS X (All)
: medium major
Assignee: Not Assigned
URL:
Whiteboard: BSA
Keywords:
Depends on:
Blocks:
 
Reported: 2012-08-30 19:58 UTC by Adam
Modified: 2012-09-12 08:57 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Adam 2012-08-30 19:58:56 UTC
Problem description: Crashes when editing preferences

Steps to reproduce:
1. I go to change the preferences
2. I click around a while
3. It crashes

Current behavior:

Expected behavior:

Platform (if different from the browser): 
              
Browser: Mozilla/5.0 (Macintosh; Intel Mac OS X 10_8_1) AppleWebKit/536.11 (KHTML, like Gecko) Chrome/20.0.1132.57 Safari/536.11

Here's the crash report from the OS. I'm sorry if it's not helpful.


Process:         soffice [1875]
Path:            /Applications/LibreOffice.app/Contents/MacOS/soffice
Identifier:      org.libreoffice.script
Version:         3.6.0.4 (???)
Code Type:       X86 (Native)
Parent Process:  launchd [274]
User ID:         501

Date/Time:       2012-08-30 15:47:34.647 -0400
OS Version:      Mac OS X 10.8.1 (12B19)
Report Version:  10

Interval Since Last Report:          69349 sec
Crashes Since Last Report:           4
Per-App Crashes Since Last Report:   2
Anonymous UUID:                      CFFE9CA2-EE2E-4406-88FF-2B4FBFEF14F2

Crashed Thread:  0  Dispatch queue: com.apple.main-thread

Exception Type:  EXC_BAD_ACCESS (SIGSEGV)
Exception Codes: KERN_PROTECTION_FAILURE at 0x00000000bf802ff4

VM Regions Near 0xbf802ff4:
    Stack                  00000000bc000000-00000000bf800000 [ 56.0M] ---/rwx SM=NUL  
--> Stack                  00000000bf800000-00000000bf803000 [   12K] ---/rwx SM=ZER  
    Stack                  00000000bf803000-00000000c0000000 [ 8180K] rw-/rwx SM=COW  

Thread 0 Crashed:: Dispatch queue: com.apple.main-thread
0   libsystem_c.dylib             	0x98445a16 __mtx_droplock + 93
1   libsystem_c.dylib             	0x98446524 pthread_mutex_unlock + 292
2   libuno_sal.dylib.3            	0x000068e5 osl_releaseMutex + 21
3   libuno_cppuhelpergcc3.dylib.3 	0x003ee904 com::sun::star::uno::WeakReferenceHelper::get() const + 84
4   libuno_cppuhelpergcc3.dylib.3 	0x003eec5d cppu::OWeakAggObject::acquire() + 29
5   libuno_cppu.dylib.3           	0x0030aebe cppu::_copyConstructAnyFromData(_uno_Any*, void*, _typelib_TypeDescriptionReference*, _typelib_TypeDescription*, void (*)(void*), _uno_Mapping*) + 2094
6   libuno_cppu.dylib.3           	0x0030b2ba cppu::_copyConstructAny(_uno_Any*, void*, _typelib_TypeDescriptionReference*, _typelib_TypeDescription*, void (*)(void*), _uno_Mapping*) + 90
7   libuno_cppu.dylib.3           	0x0030a0a9 uno_type_any_construct + 73
8   libuno_cppuhelpergcc3.dylib.3 	0x003ee35f cppu::OWeakAggObject::queryAggregation(com::sun::star::uno::Type const&) + 335
9   libuno_cppuhelpergcc3.dylib.3 	0x0039ddf3 cppu::WeakAggComponentImplHelperBase::queryAggregation(com::sun::star::uno::Type const&) + 147
10  libuno_cppuhelpergcc3.dylib.3 	0x003a0886 cppu::WeakAggComponentImplHelper_queryAgg(com::sun::star::uno::Type const&, cppu::class_data*, void*, cppu::WeakAggComponentImplHelperBase*) + 150
11  libacclo.dylib                	0x07031a92 cppu::WeakAggComponentImplHelper8<com::sun::star::accessibility::XAccessible, com::sun::star::accessibility::XAccessibleContext, com::sun::star::accessibility::XAccessibleComponent, com::sun::star::accessibility::XAccessibleEventBroadcaster, com::sun::star::accessibility::XAccessibleAction, com::sun::star::accessibility::XAccessibleSelection, com::sun::star::accessibility::XAccessibleText, com::sun::star::lang::XServiceInfo>::queryAggregation(com::sun::star::uno::Type const&) + 66
12  libuno_cppuhelpergcc3.dylib.3 	0x003eec19 cppu::OWeakAggObject::queryInterface(com::sun::star::uno::Type const&) + 153
13  libuno_cppuhelpergcc3.dylib.3 	0x0039d830 cppu::WeakAggComponentImplHelperBase::queryInterface(com::sun::star::uno::Type const&) + 32
14  libacclo.dylib                	0x07031140 cppu::WeakAggComponentImplHelper8<com::sun::star::accessibility::XAccessible, com::sun::star::accessibility::XAccessibleContext, com::sun::star::accessibility::XAccessibleComponent, com::sun::star::accessibility::XAccessibleEventBroadcaster, com::sun::star::accessibility::XAccessibleAction, com::sun::star::accessibility::XAccessibleSelection, com::sun::star::accessibility::XAccessibleText, com::sun::star::lang::XServiceInfo>::queryInterface(com::sun::star::uno::Type const&) + 32
15  libuno_cppuhelpergcc3.dylib.3 	0x003ede13 com::sun::star::uno::OWeakRefListener::OWeakRefListener(com::sun::star::uno::Reference<com::sun::star::uno::XInterface> const&) + 99
16  libuno_cppuhelpergcc3.dylib.3 	0x003ee0ba com::sun::star::uno::WeakReferenceHelper::WeakReferenceHelper(com::sun::star::uno::Reference<com::sun::star::uno::XInterface> const&) + 74
17  libacclo.dylib                	0x0702f0ec accessibility::AccessibleListBoxEntry::AccessibleListBoxEntry(SvTreeListBox&, SvLBoxEntry*, com::sun::star::uno::Reference<com::sun::star::accessibility::XAccessible> const&) + 716
18  libacclo.dylib                	0x0702f8c8 accessibility::AccessibleListBoxEntry::getAccessibleAtPoint(com::sun::star::awt::Point const&) + 216
19  libvcllo.dylib                	0x01b27841 hitTestRunner(com::sun::star::awt::Point, com::sun::star::uno::Reference<com::sun::star::accessibility::XAccessibleContext>) + 257
20  libvcllo.dylib                	0x01b27af2 hitTestRunner(com::sun::star::awt::Point, com::sun::star::uno::Reference<com::sun::star::accessibility::XAccessibleContext>) + 946
21  libvcllo.dylib                	0x01b27af2 hitTestRunner(com::sun::star::awt::Point, com::sun::star::uno::Reference<com::sun::star::accessibility::XAccessibleContext>) + 946
22  libvcllo.dylib                	0x01b27af2 hitTestRunner(com::sun::star::awt::Point, com::sun::star::uno::Reference<com::sun::star::accessibility::XAccessibleContext>) + 946
23  libvcllo.dylib                	0x01b27af2 hitTestRunner(com::sun::star::awt::Point, com::sun::star::uno::Reference<com::sun::star::accessibility::XAccessibleContext>) + 946
24  libvcllo.dylib                	0x01b27af2 hitTestRunner(com::sun::star::awt::Point, com::sun::star::uno::Reference<com::sun::star::accessibility::XAccessibleContext>) + 946
25  libvcllo.dylib                	0x01b27af2 hitTestRunner(com::sun::star::awt::Point, com::sun::star::uno::Reference<com::sun::star::accessibility::XAccessibleContext>) + 946
26  libvcllo.dylib                	0x01b27af2 hitTestRunner(com::sun::star::awt::Point, com::sun::star::uno::Reference<com::sun::star::accessibility::XAccessibleContext>) + 946
27  libvcllo.dylib                	0x01b27af2 hitTestRunner(com::sun::star::awt::Point, com::sun::star::uno::Reference<com::sun::star::accessibility::XAccessibleContext>) + 946
28  libvcllo.dylib                	0x01b27af2 hitTestRunner(com::sun::star::awt::Point, com::sun::star::uno::Reference<com::sun::star::accessibility::XAccessibleContext>) + 946
29  libvcllo.dylib                	0x01b27af2 hitTestRunner(com::sun::star::awt::Point, com::sun::star::uno::Reference<com::sun::star::accessibility::XAccessibleContext>) + 946
30  libvcllo.dyl
(And so on for a long time)

Thread 1:
0   libsystem_kernel.dylib        	0x969b48e2 __psynch_cvwait + 10
1   libsystem_c.dylib             	0x98445289 _pthread_cond_wait + 938
2   libsystem_c.dylib             	0x984d2b3c pthread_cond_timedwait + 47
3   libuno_sal.dylib.3            	0x000149c8 rtl_cache_wsupdate_all(void*) + 280
4   libsystem_c.dylib             	0x98440557 _pthread_start + 344
5   libsystem_c.dylib             	0x9842acee thread_start + 34

Thread 2:: Dispatch queue: com.apple.libdispatch-manager
0   libsystem_kernel.dylib        	0x969b59ae kevent + 10
1   libdispatch.dylib             	0x92f8ccc5 _dispatch_mgr_invoke + 993
2   libdispatch.dylib             	0x92f8c7fd _dispatch_mgr_thread + 53

Thread 3:
0   libsystem_kernel.dylib        	0x969b3eb6 __accept_nocancel + 10
1   libsystem_kernel.dylib        	0x969b2e91 accept + 39
2   libuno_sal.dylib.3            	0x000077ba osl_acceptPipe + 58
3   libsofficeapp.dylib           	0x000a253e desktop::OfficeIPCThread::execute() + 46
4   libuno_salhelpergcc3.dylib.3  	0x004d3da2 salhelper::Thread::run() + 34
5   libuno_salhelpergcc3.dylib.3  	0x004d4152 threadFunc + 18
6   libuno_sal.dylib.3            	0x0000de82 osl_thread_start_Impl + 434
7   libsystem_c.dylib             	0x98440557 _pthread_start + 344
8   libsystem_c.dylib             	0x9842acee thread_start + 34

Thread 4:
0   libsystem_kernel.dylib        	0x969b48e2 __psynch_cvwait + 10
1   libsystem_c.dylib             	0x98445289 _pthread_cond_wait + 938
2   libsystem_c.dylib             	0x984d2b08 pthread_cond_wait + 48
3   libuno_sal.dylib.3            	0x00031ac8 osl_waitCondition + 104
4   liblnglo.dylib                	0x1441d263 GrammarCheckingIterator::DequeueAndCheck() + 2515
5   libuno_sal.dylib.3            	0x0000de82 osl_thread_start_Impl + 434
6   libsystem_c.dylib             	0x98440557 _pthread_start + 344
7   libsystem_c.dylib             	0x9842acee thread_start + 34

Thread 5:: Java: Exception Handler Thread
0   libsystem_kernel.dylib        	0x969b27d2 mach_msg_trap + 10
1   libsystem_kernel.dylib        	0x969b1cb0 mach_msg + 68
2   libsystem_kernel.dylib        	0x969b2644 mach_msg_server + 620
3   libjvm.dylib                  	0x185157ca 0x18500000 + 88010
4   libjvm.dylib                  	0x18515653 0x18500000 + 87635
5   libjvm.dylib                  	0x185140dc 0x18500000 + 82140
6   libsystem_c.dylib             	0x98440557 _pthread_start + 344
7   libsystem_c.dylib             	0x9842acee thread_start + 34

Thread 6:: Java: Gang worker#0 (Parallel GC Threads)
0   libsystem_kernel.dylib        	0x969b27d2 mach_msg_trap + 10
1   libsystem_kernel.dylib        	0x969b1cb0 mach_msg + 68
2   libjvm.dylib                  	0x18514836 0x18500000 + 84022
3   libjvm.dylib                  	0x18514772 0x18500000 + 83826
4   libjvm.dylib                  	0x18514638 0x18500000 + 83512
5   libjvm.dylib                  	0x1851417d 0x18500000 + 82301
6   libjvm.dylib                  	0x18514007 0x18500000 + 81927
7   libjvm.dylib                  	0x1852bab5 0x18500000 + 178869
8   libjvm.dylib                  	0x1852b99f 0x18500000 + 178591
9   libjvm.dylib                  	0x185140dc 0x18500000 + 82140
10  libsystem_c.dylib             	0x98440557 _pthread_start + 344
11  libsystem_c.dylib             	0x9842acee thread_start + 34

Thread 7:: Java: Gang worker#1 (Parallel GC Threads)
0   libsystem_kernel.dylib        	0x969b27d2 mach_msg_trap + 10
1   libsystem_kernel.dylib        	0x969b1cb0 mach_msg + 68
2   libjvm.dylib                  	0x18514836 0x18500000 + 84022
3   libjvm.dylib                  	0x18514772 0x18500000 + 83826
4   libjvm.dylib                  	0x18514638 0x18500000 + 83512
5   libjvm.dylib                  	0x1851417d 0x18500000 + 82301
6   libjvm.dylib                  	0x18514007 0x18500000 + 81927
7   libjvm.dylib                  	0x1852bab5 0x18500000 + 178869
8   libjvm.dylib                  	0x1852b99f 0x18500000 + 178591
9   libjvm.dylib                  	0x185140dc 0x18500000 + 82140
10  libsystem_c.dylib             	0x98440557 _pthread_start + 344
11  libsystem_c.dylib             	0x9842acee thread_start + 34

Thread 8:: Java: Concurrent Mark-Sweep GC Thread
0   libsystem_kernel.dylib        	0x969b27d2 mach_msg_trap + 10
1   libsystem_kernel.dylib        	0x969b1cb0 mach_msg + 68
2   libjvm.dylib                  	0x18514906 0x18500000 + 84230
3   libjvm.dylib                  	0x1853241a 0x18500000 + 205850
4   libjvm.dylib                  	0x18514654 0x18500000 + 83540
5   libjvm.dylib                  	0x1851417d 0x18500000 + 82301
6   libjvm.dylib                  	0x18514007 0x18500000 + 81927
7   libjvm.dylib                  	0x1863d241 0x18500000 + 1299009
8   libjvm.dylib                  	0x1863d1af 0x18500000 + 1298863
9   libjvm.dylib                  	0x18532235 0x18500000 + 205365
10  libjvm.dylib                  	0x185140dc 0x18500000 + 82140
11  libsystem_c.dylib             	0x98440557 _pthread_start + 344
12  libsystem_c.dylib             	0x9842acee thread_start + 34

Thread 9:: Java: VM Thread
0   libsystem_kernel.dylib        	0x969b27d2 mach_msg_trap + 10
1   libsystem_kernel.dylib        	0x969b1cb0 mach_msg + 68
2   libjvm.dylib                  	0x18514906 0x18500000 + 84230
3   libjvm.dylib                  	0x1853241a 0x18500000 + 205850
4   libjvm.dylib                  	0x18514654 0x18500000 + 83540
5   libjvm.dylib                  	0x1851417d 0x18500000 + 82301
6   libjvm.dylib                  	0x18514007 0x18500000 + 81927
7   libjvm.dylib                  	0x185ac91a 0x18500000 + 706842
8   libjvm.dylib                  	0x185ac5c3 0x18500000 + 705987
9   libjvm.dylib                  	0x185140dc 0x18500000 + 82140
10  libsystem_c.dylib             	0x98440557 _pthread_start + 344
11  libsystem_c.dylib             	0x9842acee thread_start + 34

Thread 10:: Java: Reference Handler
0   libsystem_kernel.dylib        	0x969b27d2 mach_msg_trap + 10
1   libsystem_kernel.dylib        	0x969b1cb0 mach_msg + 68
2   libjvm.dylib                  	0x18514836 0x18500000 + 84022
3   libjvm.dylib                  	0x18514772 0x18500000 + 83826
4   libjvm.dylib                  	0x185bb4ec 0x18500000 + 767212
5   libjvm.dylib                  	0x185ba9ee 0x18500000 + 764398
6   libjvm.dylib                  	0x185ba6e0 JVM_MonitorWait + 203
7   libjvmlinkage.dylib           	0x182b9dd5 JVM_MonitorWait + 69
8   ???                           	0x1980b9d9 0 + 427866585
9   ???                           	0x19803e31 0 + 427834929
10  ???                           	0x19803e31 0 + 427834929
11  ???                           	0x19801374 0 + 427823988
12  libjvm.dylib                  	0x185adc57 0x18500000 + 711767
13  libjvm.dylib                  	0x185ad9c9 0x18500000 + 711113
14  libjvm.dylib                  	0x185ba391 0x18500000 + 762769
15  libjvm.dylib                  	0x185ba221 0x18500000 + 762401
16  libjvm.dylib                  	0x185ba19f 0x18500000 + 762271
17  libjvm.dylib                  	0x185b9ff9 0x18500000 + 761849
18  libjvm.dylib                  	0x185b9e37 0x18500000 + 761399
19  libjvm.dylib                  	0x185140dc 0x18500000 + 82140
20  libsystem_c.dylib             	0x98440557 _pthread_start + 344
21  libsystem_c.dylib             	0x9842acee thread_start + 34

Thread 11:: Java: Finalizer
0   libsystem_kernel.dylib        	0x969b27d2 mach_msg_trap + 10
1   libsystem_kernel.dylib        	0x969b1cb0 mach_msg + 68
2   libjvm.dylib                  	0x18514836 0x18500000 + 84022
3   libjvm.dylib                  	0x18514772 0x18500000 + 83826
4   libjvm.dylib                  	0x185bb4ec 0x18500000 + 767212
5   libjvm.dylib                  	0x185ba9ee 0x18500000 + 764398
6   libjvm.dylib                  	0x185ba6e0 JVM_MonitorWait + 203
7   libjvmlinkage.dylib           	0x182b9dd5 JVM_MonitorWait + 69
8   ???                           	0x1980b9d9 0 + 427866585
9   ???                           	0x19803e31 0 + 427834929
10  ???                           	0x19803f97 0 + 427835287
11  ???                           	0x19803f97 0 + 427835287
12  ???                           	0x19801374 0 + 427823988
13  libjvm.dylib                  	0x185adc57 0x18500000 + 711767
14  libjvm.dylib                  	0x185ad9c9 0x18500000 + 711113
15  libjvm.dylib                  	0x185ba391 0x18500000 + 762769
16  libjvm.dylib                  	0x185ba221 0x18500000 + 762401
17  libjvm.dylib                  	0x185ba19f 0x18500000 + 762271
18  libjvm.dylib                  	0x185b9ff9 0x18500000 + 761849
19  libjvm.dylib                  	0x185b9e37 0x18500000 + 761399
20  libjvm.dylib                  	0x185140dc 0x18500000 + 82140
21  libsystem_c.dylib             	0x98440557 _pthread_start + 344
22  libsystem_c.dylib             	0x9842acee thread_start + 34

Thread 12:: Java: Surrogate Locker Thread (Concurrent GC)
0   libsystem_kernel.dylib        	0x969b27d2 mach_msg_trap + 10
1   libsystem_kernel.dylib        	0x969b1cb0 mach_msg + 68
2   libjvm.dylib                  	0x18514836 0x18500000 + 84022
3   libjvm.dylib                  	0x18514772 0x18500000 + 83826
4   libjvm.dylib                  	0x18514638 0x18500000 + 83512
5   libjvm.dylib                  	0x1851417d 0x18500000 + 82301
6   libjvm.dylib                  	0x18513f4a 0x18500000 + 81738
7   libjvm.dylib                  	0x185cb320 0x18500000 + 832288
8   libjvm.dylib                  	0x185cb264 0x18500000 + 832100
9   libjvm.dylib                  	0x185b9ff9 0x18500000 + 761849
10  libjvm.dylib                  	0x185b9e37 0x18500000 + 761399
11  libjvm.dylib                  	0x185140dc 0x18500000 + 82140
12  libsystem_c.dylib             	0x98440557 _pthread_start + 344
13  libsystem_c.dylib             	0x9842acee thread_start + 34

Thread 13:: Java: Signal Dispatcher
0   libsystem_kernel.dylib        	0x969b280e semaphore_wait_trap + 10
1   libjvm.dylib                  	0x185cbc06 0x18500000 + 834566
2   libjvm.dylib                  	0x185cb5e4 0x18500000 + 832996
3   libjvm.dylib                  	0x185b9ff9 0x18500000 + 761849
4   libjvm.dylib                  	0x185b9e37 0x18500000 + 761399
5   libjvm.dylib                  	0x185140dc 0x18500000 + 82140
6   libsystem_c.dylib             	0x98440557 _pthread_start + 344
7   libsystem_c.dylib             	0x9842acee thread_start + 34

Thread 14:: Java: C1 CompilerThread0
0   libsystem_kernel.dylib        	0x969b27d2 mach_msg_trap + 10
1   libsystem_kernel.dylib        	0x969b1cb0 mach_msg + 68
2   libjvm.dylib                  	0x18514836 0x18500000 + 84022
3   libjvm.dylib                  	0x18514772 0x18500000 + 83826
4   libjvm.dylib                  	0x18514638 0x18500000 + 83512
5   libjvm.dylib                  	0x1851417d 0x18500000 + 82301
6   libjvm.dylib                  	0x18513f4a 0x18500000 + 81738
7   libjvm.dylib                  	0x185d34b6 0x18500000 + 865462
8   libjvm.dylib                  	0x185ccddc 0x18500000 + 839132
9   libjvm.dylib                  	0x185ccb86 0x18500000 + 838534
10  libjvm.dylib                  	0x185b9ff9 0x18500000 + 761849
11  libjvm.dylib                  	0x185b9e37 0x18500000 + 761399
12  libjvm.dylib                  	0x185140dc 0x18500000 + 82140
13  libsystem_c.dylib             	0x98440557 _pthread_start + 344
14  libsystem_c.dylib             	0x9842acee thread_start + 34

Thread 15:: Java: Low Memory Detector
0   libsystem_kernel.dylib        	0x969b27d2 mach_msg_trap + 10
1   libsystem_kernel.dylib        	0x969b1cb0 mach_msg + 68
2   libjvm.dylib                  	0x18514836 0x18500000 + 84022
3   libjvm.dylib                  	0x18514772 0x18500000 + 83826
4   libjvm.dylib                  	0x18514638 0x18500000 + 83512
5   libjvm.dylib                  	0x1851417d 0x18500000 + 82301
6   libjvm.dylib                  	0x18514007 0x18500000 + 81927
7   libjvm.dylib                  	0x185cdac4 0x18500000 + 842436
8   libjvm.dylib                  	0x185b9ff9 0x18500000 + 761849
9   libjvm.dylib                  	0x185b9e37 0x18500000 + 761399
10  libjvm.dylib                  	0x185140dc 0x18500000 + 82140
11  libsystem_c.dylib             	0x98440557 _pthread_start + 344
12  libsystem_c.dylib             	0x9842acee thread_start + 34

Thread 16:: Java: VM Periodic Task Thread
0   libsystem_kernel.dylib        	0x969b27d2 mach_msg_trap + 10
1   libsystem_kernel.dylib        	0x969b1cb0 mach_msg + 68
2   libjvm.dylib                  	0x18514906 0x18500000 + 84230
3   libjvm.dylib                  	0x1853241a 0x18500000 + 205850
4   libjvm.dylib                  	0x185d0565 0x18500000 + 853349
5   libjvm.dylib                  	0x185140dc 0x18500000 + 82140
6   libsystem_c.dylib             	0x98440557 _pthread_start + 344
7   libsystem_c.dylib             	0x9842acee thread_start + 34

Thread 17:: Java: Thread-40
0   libsystem_kernel.dylib        	0x969b27d2 mach_msg_trap + 10
1   libsystem_kernel.dylib        	0x969b1cb0 mach_msg + 68
2   libjvm.dylib                  	0x18514836 0x18500000 + 84022
3   libjvm.dylib                  	0x18514772 0x18500000 + 83826
4   libjvm.dylib                  	0x185bb4ec 0x18500000 + 767212
5   libjvm.dylib                  	0x185ba9ee 0x18500000 + 764398
6   libjvm.dylib                  	0x185ba6e0 JVM_MonitorWait + 203
7   libjvmlinkage.dylib           	0x182b9dd5 JVM_MonitorWait + 69
8   ???                           	0x1980b9d9 0 + 427866585
9   ???                           	0x19803e31 0 + 427834929
10  ???                           	0x19803e31 0 + 427834929
11  ???                           	0x19801374 0 + 427823988
12  libjvm.dylib                  	0x185adc57 0x18500000 + 711767
13  libjvm.dylib                  	0x185ad9c9 0x18500000 + 711113
14  libjvm.dylib                  	0x185ba391 0x18500000 + 762769
15  libjvm.dylib                  	0x185ba221 0x18500000 + 762401
16  libjvm.dylib                  	0x185ba19f 0x18500000 + 762271
17  libjvm.dylib                  	0x185b9ff9 0x18500000 + 761849
18  libjvm.dylib                  	0x185b9e37 0x18500000 + 761399
19  libjvm.dylib                  	0x185140dc 0x18500000 + 82140
20  libsystem_c.dylib             	0x98440557 _pthread_start + 344
21  libsystem_c.dylib             	0x9842acee thread_start + 34

Thread 18:
0   libsystem_kernel.dylib        	0x969b50ee __workq_kernreturn + 10
1   libsystem_c.dylib             	0x9844304c _pthread_workq_return + 45
2   libsystem_c.dylib             	0x98442e19 _pthread_wqthread + 448
3   libsystem_c.dylib             	0x9842acca start_wqthread + 30

Thread 19:
0   libsystem_kernel.dylib        	0x969b50ee __workq_kernreturn + 10
1   libsystem_c.dylib             	0x9844304c _pthread_workq_return + 45
2   libsystem_c.dylib             	0x98442e19 _pthread_wqthread + 448
3   libsystem_c.dylib             	0x9842acca start_wqthread + 30

Thread 0 crashed with X86 Thread State (32-bit):
  eax: 0xacb2ea28  ebx: 0x00012068  ecx: 0xbf803040  edx: 0x00000001
  edi: 0x03d3fcf0  esi: 0xbf803090  ebp: 0xbf803058  esp: 0xbf802ff0
   ss: 0x00000023  efl: 0x00210202  eip: 0x98445a16   cs: 0x0000001b
   ds: 0x00000023   es: 0x00000023   fs: 0x00000000   gs: 0x0000000f
  cr2: 0xbf802ff4
Logical CPU: 1
Comment 1 Stephan Bergmann 2012-08-31 16:06:26 UTC

*** This bug has been marked as a duplicate of bug 47368 ***
Comment 2 Roman Eisele 2012-09-01 07:56:00 UTC
@ Adam:

From the crash report, it is clear that this crash is related to Mac OS accessibility features. Therefore to avoid this kind of crash in the future, it will probably help you to check the following possibilities:

1) Do you have any accesibility features enabled? Apple’s accessibility
features like "VoiceOver" or "Enable access for assistive devices", which get
enabled in "System Preferences > Universal Access" (in German:
"Bedienungshilfen"; dont’t know about other languages), are known to cause many
crashes in LibreOffice (see bug 47368). So please try to disable any
accesibility features, i.e. uncheck "VoiceOver", "Enable access for assistive
devices", etc.

2) Do you have installed any window management/user interface utilities/apps
for MacOS X like 
* Moom           (see bug 42014)
* Cinch          (see bug 51791)
* RightZoom      (see bug 51686)
* ShiftIt        (see bug 52147)
* BetterSnapTool (see bug 53240)?
All these and many similar utilities rely heavily on accessibility issues and
therefore cause LibreOffice to crash. So please check if you have installed any
utility of this kind and try to disable it (or to add LibreOffice to the list
of excluded applications for the utility, if there is such a thing).

Disabling both all of Apple’s accessibility features and all
accessibility-related/window management utilities, and then re-starting your
Mac should fix the LibreOffice crash. Please try this.

If you have further questions, you can mail me (bugs@eikota.de).
Comment 3 Roman Eisele 2012-09-12 08:57:23 UTC
Mac Accessibility Related Bugs Survey Results
---------------------------------------------

All tests done on Mac OS X 10.6.8 (Intel).
To test, I used the following steps:
0) Rename your LibO user profile folder, to make sure that
   there is no influence of any special settings on the test
   (I always do so before such tests).
1) Start LibreOffice;
   -> the Start Center window appears.
2) Select "LibreOffice > Preferences..." from the menu;
   -> the "Options" dialog window appears.
3) In the list at the left side of the window,
   click on any top-level entry -- I mean, one of the
   entries "Load/Save", "Language Settings", "LibreOffice Base",
   "Charts", "Internet", which can be unfolded to show the
   sub-entries.
   -> Most times LibreOffice will crash now;
   if not, click on another top-level entry.
   It _may_ be necessary that the top-level entry is not
   unfolded, but closed before you click on it.

Using these steps, the crash is REPRODUCIBLE with
* LibreOffice 3.6 daily (3.6.2.0+), Build ID: cfbfa26,
  Pull time: 2012-09-07 10:35:10, German langpack installed
* LOdev 3.7.0.0.alpha0+, Build ID: 5ca197c,
  Pull time: 2012-09-06 07:07:33, US English langpack installed

But the crash is NO longer reproducible with
* LibreOffice 3.6 daily (3.6.2.0+), Build ID: c303961,
  Pull time: 2012-09-11 08:49:57, German langpack installed
* LOdev 3.7.0.0.alpha0+, Build ID: 2df0884,
  Pull time: 2012-09-11 01:28:39, US English langpack installed

This indicates that this bug was fixed by Michael Meek’s patch for bug 47368:
http://cgit.freedesktop.org/libreoffice/core/commit/?id=3234b715b5a6d13ee673b41066eb565706be5ec9

This means in turn that this bug is correctly marked as a duplicate of bug
47368, which was fixed by the commit cited above.

This fix will appear in LibreOffice 3.6.2 and 3.7.0.